EDIT - bug #8039

NPE when creating new name in unsaved NameTypeDesignation for exising name in workingset
which has no registration yet

01/30/2019 02:06 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

to reporoduce:

1. add "existing name" to workingset

2. add NameTypeDesignation

3. create new "Typified Name"

4. Save NameTypeDesignationPopupEditor

eu.etaxonomy.vaadin.mvp.PopupEditorException: Error saving popup editor - context [user=curator]
:Edit registration (TypedEntityReference: Registration#72cl1c098-2bbc-4135-b687-f7fe0a75bfc7) > New
name type designation (NameTypeDesignation#0<8a2ac655-dfa6-4680-a2a7-9ddebl1146715>) > New type na
me (TaxonNameDTO: TaxonName#0<70b80ab3-5630-4db5-bda7-31c797670350>)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:448)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambda$new$fad408e6$1 (AbstractPopupkEditor. java:
174)

at sun.reflect.GeneratedMethodAccessorl341l.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java:1015)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button. java:54)

at sun.reflect.GeneratedMethodAccessorl41l4.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan
dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:
41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService.java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet. java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor.java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon

ymousAuthenticationFilter. java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.
AwareFilter. java:48)

at org.springframework.
oxy.Jjava:330)

at org.springframework.

security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:158)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)
at org.springframework.security.oauth2.provider.authentication.OAuth2AuthenticationProcessingF
ilter.doFilter (OAuth2AuthenticationProcessingFilter. java:176)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
.java:330)
at org.springframework.
120)
at org.springframework.
java:330)
at org.springframework.
.java:64)

[0:4Y%
security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
OXYy.
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter

oxy

at org.springframework.
at org.springframework.
.java:330)

at org.springframework.

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter. java:91)

OXY .

at org.springframework
java:330)
at org.springframework

.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF

ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework
at org.springframework

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21
3)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

lter.java:121)
.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)
server.handler.ContextHandler.doHandle (ContextHandler.java:1127)
servlet.ServletHandler.doScope (ServletHandler. java:515)
server.session.SessionHandler.doScope (SessionHandler. java:185)
at
at
at

org.eclipse. jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1061)
org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)
org.eclipse. jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j

ava:215)

at
at
at
at
at
at
at
at
Caused
at
at

Caused
at

:374)
at
at

Caused

org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)
org.eclipse. jetty.server.Server.handle (Server.java:497)
org.eclipse. jetty.server.HttpChannel.handle (HttpChannel. java:310)
org.eclipse. jetty.server.HttpConnection.onFillable (HttpConnection.java:257)
org.eclipse. jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)
org.eclipse. jetty.util.thread.QueuedThreadPool.rundJob (QueuedThreadPool. java:635)
org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)
java.lang.Thread.run (Thread. java:748)
by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Commit failed
com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:509)
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.save (AbstractPopupEditor. java:428)

80 more
by: com.vaadin.data.fieldgroup.FieldGroup$CommitException: Failed to store data to backend
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor$SaveHandler.postCommit (AbstractPopupEditor. java

com.vaadin.data.fieldgroup.FieldGroup.firePostCommitEvent (FieldGroup. java:625)
com.vaadin.data.fieldgroup.FieldGroup.commit (FieldGroup. java:501)

81 more
by: java.lang.NullPointerException: Registration not found for Registration#72clc098-2bbc-4

135-b687-f7fe0a75bfc7 which has been hold in the rootContext

at

eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onEntityChangeEve

nt (RegistrationWorkingsetPresenter. java:795)

at
at

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

Associated revisions

Revision 134e317a - 01/31/2019 01:32 PM - Andreas Kohlbecker

ref #8039 additional addTypeDesignation method in RegistrationService

Revision bfd1283e - 01/31/2019 01:34 PM - Andreas Kohlbecker

fix #8039 proper handling of un-persisted registrations with blocking registrations

Revision 2751cefc - 02/06/2019 11:20 AM - Andreas Kohlbecker

ref #8039 preserving un-persisted registrations only when not persisted meanwhile

History

#1 - 01/31/2019 01:34 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|bfd1283e6d671337a83b6¢c2990cc8ddf4eb03c99.

#2 - 01/31/2019 01:36 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Hi Henning,

please can you review this solution. See the step by step description on how to reproduce the problem.

#3 - 01/31/2019 02:10 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

If this is the solution in case a existing but not registered name can be registered within a name type designation, it is fine with me.

#4 - 02/01/2019 06:55 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- % Done changed from 50 to 100
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/bfd1283e6d671337a83b6c2990cc8ddf4eb03c99

ok, so | will close this issue.

#5 - 02/04/2019 11:03 AM - Andreas Kohlbecker

- Subject changed from NPE wen creating new name in unsaved NameTypeDesignation for exising name in workingset which has no registration yet
to NPE when creating new name in unsaved NameTypeDesignation for exising name in workingset which has no registration yet
